> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withterminal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Serialization

## Key Inflection

All responses use `camelCase` for member names by default. However, you can override how member names are formatted by providing an additional `Key-Inflection: <inflection>` header to the request.

The Terminal API currently accepts the following inflections:

| Inflection | Example      | Default |
| ---------- | ------------ | ------- |
| `camel`    | `camelCase`  | ✅       |
| `kebab`    | `kebab-case` |         |
| `pascal`   | `PascalCase` |         |
| `snake`    | `snake_case` |         |

## Example

```bash theme={null}
curl --request get \
  --url https://api.withterminal.com/tsp/v1/connections \
  --header 'Authorization: Bearer <token>' \
  --header 'Key-Inflection: snake'
```

```json theme={null}
{
  "results": [
    {
      "id": "id_pfx_01D8ZQFGHVJ858NBF2Q7DV9MNC",
      "company": {
        "name": "Frank's Trucking",
        "dot_numbers": ["1234567"]
      },
      "status": "connected",
      "provider": {
        "code": "geotab",
        "name": "Geotab"
      },
      "external_id": "1234",
      "sync_mode": "automatic",
      "token": "T9klMDQrcHdm9jrtHuOS2Nf06BIHwMNjpPXPMB",
      "created_at": "string",
      "updated_at": "string"
    }
  ],
  "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"
}
```
